# pspgum.h File Reference

`#include <psptypes.h>`

Include dependency graph for pspgum.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | sceGumDrawArray (int prim, int vtype, int count, const void *indices, const void *vertices)
void | sceGumLoadIdentity (void)
void | sceGumLoadMatrix (const ScePspFMatrix4 *m)
void | sceGumLookAt (ScePspFVector3 *eye, ScePspFVector3 *center, ScePspFVector3 *up)
void | sceGumMatrixMode (int mode)
void | sceGumMultMatrix (const ScePspFMatrix4 *m)
void | sceGumOrtho (float left, float right, float bottom, float top, float near, float far)
void | sceGumPerspective (float fovy, float aspect, float near, float far)
void | sceGumPopMatrix (void)
void | sceGumPushMatrix (void)
void | sceGumRotateX (float a)
void | sceGumRotateY (float a)
void | sceGumRotateZ (float a)
void | sceGumRotateXYZ (const ScePspFVector3 *v)
void | sceGumRotateZYX (const ScePspFVector3 *v)
void | sceGumScale (const ScePspFVector3 *v)
void | sceGumStoreMatrix (ScePspFMatrix4 *v)
void | sceGumTranslate (const ScePspFVector3 *v)
void | sceGumUpdateMatrix (void)

## Function Documentation

void sceGumDrawArray | ( | int | prim,
|  | int | vtype,
|  | int | count,
|  | const void * | indices,
|  | const void * | vertices
| ) |

void sceGumLoadIdentity | ( | void |  | ) |

void sceGumLoadMatrix | ( | const ScePspFMatrix4 * | m | ) |

void sceGumLookAt | ( | ScePspFVector3 * | eye,
|  | ScePspFVector3 * | center,
|  | ScePspFVector3 * | up
| ) |

void sceGumMatrixMode | ( | int | mode | ) |

void sceGumMultMatrix | ( | const ScePspFMatrix4 * | m | ) |

void sceGumOrtho | ( | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top,
|  | float | near,
|  | float | far
| ) |

void sceGumPerspective | ( | float | fovy,
|  | float | aspect,
|  | float | near,
|  | float | far
| ) |

void sceGumPopMatrix | ( | void |  | ) |

void sceGumPushMatrix | ( | void |  | ) |

void sceGumRotateX | ( | float | a | ) |

void sceGumRotateXYZ | ( | const ScePspFVector3 * | v | ) |

void sceGumRotateY | ( | float | a | ) |

void sceGumRotateZ | ( | float | a | ) |

void sceGumRotateZYX | ( | const ScePspFVector3 * | v | ) |

void sceGumScale | ( | const ScePspFVector3 * | v | ) |

void sceGumStoreMatrix | ( | ScePspFMatrix4 * | v | ) |

void sceGumTranslate | ( | const ScePspFVector3 * | v | ) |

void sceGumUpdateMatrix | ( | void |  | ) |